package com.muyu.clw.common.many.datasource.domain.model;

import com.muyu.common.core.utils.StringUtils;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import static com.muyu.clw.common.many.datasource.constents.DatasourceContent.*;


/**
 * @ClassName DataSourceInfo
 * @Author AnNan.Wang
 * @Date 2024/6/4 14:20
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class DataSourceInfo {
    /**
     * 键
     */
    private String key;
    /**
     * 地址
     */
    private String url;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 密码
     */
    private String password;


    public static DataSourceInfo hostAndPortBuild(String key,String host,Integer port){
        return DataSourceInfo.builder()
                .key(key)
                .url(StringUtils.format(DATASOURCE_URL, host,port))
                .password(PASSWORD)
                .userName(USER_NAME)
                .build();
    }
}
