package com.muyu.clw.common.many.remote;

import com.muyu.clw.common.many.remote.factory.RemoteEnterpriseFallbackFactory;
import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.Enterprise;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 用户服务
 *
 * @author muyu
 */
@FeignClient(
        contextId = "remoteEnterpriseService",
        value = ServiceNameConstants.COMPANY_ENTERPRISE,
        fallbackFactory = RemoteEnterpriseFallbackFactory.class
)
public interface RemoteEnterpriseService {

    @GetMapping("/enterprise/enterpriseAllList")
    public Result<List<Enterprise>> enterpriseAllList();
}
