package com.muyu.authentication.service;

import com.muyu.domain.AddService;

import java.util.List;

/**
 * 增值Service接口
 *
 * @author wan
 * @date 2024-05-31
 */
public interface IAddServiceService
{
    /**
     * 查询增值
     *
     * @param id 增值主键
     * @return 增值
     */
    public AddService selectAddServiceById(Long id);

    /**
     * 查询增值列表
     *
     * @param addService 增值
     * @return 增值集合
     */
    public List<AddService> selectAddServiceList(AddService addService);

    /**
     * 新增增值
     *
     * @param addService 增值
     * @return 结果
     */
    public int insertAddService(AddService addService);

    /**
     * 修改增值
     *
     * @param addService 增值
     * @return 结果
     */
    public int updateAddService(AddService addService);

    /**
     * 批量删除增值
     *
     * @param ids 需要删除的增值主键集合
     * @return 结果
     */
    public int deleteAddServiceByIds(Long[] ids);

    /**
     * 删除增值信息
     *
     * @param id 增值主键
     * @return 结果
     */
    public int deleteAddServiceById(Long id);

}
