package com.muyu.many.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.many.domain.req.GroupEditReq;
import com.muyu.many.domain.req.GroupQueryReq;
import com.muyu.many.domain.req.GroupSaveReq;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 围栏组对象 group
 *
 * @author wan
 * @date 2024-06-17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("`group`")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Group", description = "围栏组")
public class Group extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 围栏组名称 */
    @Excel(name = "围栏组名称")
    @ApiModelProperty(name = "围栏组名称", value = "围栏组名称")
    private String groupName;

    /**
    * 查询构造器
    */
    public static Group queryBuild( GroupQueryReq groupQueryReq){
        return Group.builder()
                .groupName(groupQueryReq.getGroupName())
                .build();
    }

    /**
    * 添加构造器
    */
    public static Group saveBuild(GroupSaveReq groupSaveReq){
        return Group.builder()
                .groupName(groupSaveReq.getGroupName())
                .build();
    }

    /**
    * 修改构造器
    */
    public static Group editBuild(Long id, GroupEditReq groupEditReq){
        return Group.builder()
            .id(id)
                .groupName(groupEditReq.getGroupName())
                .build();
    }

}
