package com.muyu.many.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 故障码对象 defect_info
 *
 * @author wan
 * @date 2024-06-20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "DefectInfoQueryReq", description = "故障码")
public class DefectInfoQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 故障码 */
    @ApiModelProperty(name = "故障码", value = "故障码")
    private String defectCode;

    /** 故障标签 */
    @ApiModelProperty(name = "故障标签", value = "故障标签")
    private String abortSituation;

    /** 故障位 */
    @ApiModelProperty(name = "故障位", value = "故障位")
    private Long defectBit;

    /** 故障值 */
    @ApiModelProperty(name = "故障值", value = "故障值")
    private Long defectValue;

}
