package com.muyu.many.domain.req;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 故障记录对象 fault_info
 *
 * @author wan
 * @date 2024-06-20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "FaultInfoQueryReq", description = "故障记录")
public class FaultInfoQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 故障码 */
    @ApiModelProperty(name = "故障码", value = "故障码")
    private String faultCode;

    /** 车辆VIN */
    @ApiModelProperty(name = "车辆VIN", value = "车辆VIN")
    private String vin;

    /** 故障等级 */
    @ApiModelProperty(name = "故障等级", value = "故障等级")
    private String failureLevel;

    /** 故障开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "故障开始时间", value = "故障开始时间")
    private Date startTime;

    /** 故障结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "故障结束时间", value = "故障结束时间")
    private Date endTime;

}
