package com.muyu.many.domain.req;

import java.math.BigDecimal;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 电子围栏对象 fence
 *
 * @author wan
 * @date 2024-06-17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "FenceSaveReq", description = "电子围栏")
public class FenceSaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */

    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 围栏名称 */

    @ApiModelProperty(name = "围栏名称", value = "围栏名称")
    private String fenceName;

    /** 围栏组ID */

    @ApiModelProperty(name = "围栏组ID", value = "围栏组ID")
    private Long groupId;

    /** 围栏经纬度 */

    @ApiModelProperty(name = "围栏经纬度", value = "围栏经纬度")
    private String longitudeAndLatitude;

    /** 围栏备注 */

    @ApiModelProperty(name = "围栏备注", value = "围栏备注")
    private String fenceNote;

    /** 半径 */

    @ApiModelProperty(name = "半径", value = "半径")
    private BigDecimal radius;

    /** 驶入，驶出 */

    @ApiModelProperty(name = "驶入，驶出", value = "驶入，驶出")
    private String driveOutIn;

    /** 是否删除 */

    @ApiModelProperty(name = "是否删除", value = "是否删除")
    private Long isDelete;

    /** 围栏状态 */

    @ApiModelProperty(name = "围栏状态", value = "围栏状态")
    private Long fenceState;

}
