package com.muyu.authentication.rabbitmq;

import com.alibaba.druid.pool.DruidDataSource;
import com.alibaba.fastjson.JSON;
import com.muyu.authentication.controller.ManyEnterpriseController;

import com.muyu.authentication.service.impl.ManyEnterpriseServiceImpl;
import com.muyu.clw.common.many.datasource.ManyDataSource;
import com.muyu.clw.common.many.datasource.domain.model.DataSourceInfo;
import com.muyu.clw.common.many.datasource.factory.DruidDataSourceFactory;
import com.muyu.clw.common.many.datasource.role.DynamicDataSource;
import com.muyu.common.core.utils.SpringUtils;
import com.muyu.many.domain.Enterprise ;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Log4j2
@Component
public class MessageConsumer {

    @Autowired
    private DruidDataSourceFactory dataSourceFactory;
    @Autowired
    private DynamicDataSource druidDataSource;

    @RabbitListener(queues = "text1")
    public void receiveMessage(String message) {
        // 在这里处理接收到的消息，并将其写入MySQL数据库
        log.info("message:{}",message);
        Enterprise parse = JSON.parseObject(message, Enterprise.class);
        String substring = parse.getContactPhone().substring(parse.getContactPhone().length() - 4);
        String host="123.56.102.11";
        Integer post= Math.toIntExact(3306 + parse.getId());
        String key="ent_" + substring;
        log.info("parse:{}",parse);

        DataSourceInfo dataSourceInfo = DataSourceInfo.hostAndPortBuild(key, host, post);

        log.info("dataSourceInfo:{}",dataSourceInfo);

        DruidDataSource dataSource = dataSourceFactory.create(dataSourceInfo);

        druidDataSource.put(key,dataSource);
    }

}
