package com.muyu.authentication.redisCache;

import com.muyu.authentication.mapper.VehicleMapper;
import com.muyu.authentication.redisCache.vo.CacheList;
import com.muyu.clw.common.many.datasource.holder.DynamicDataSourceHolder;
import com.muyu.clw.common.many.remote.RemoteEnterpriseService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.Enterprise;
import com.muyu.many.domain.Vehicle;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * 每个企业的车辆
 *
 * @ClassName RedisCache
 * @Author AnNan.Wang
 * @Date 2024/6/20 16:52
 */

@Log4j2
@Component
public class RedisCache {

    @Autowired
    private RemoteEnterpriseService remoteEnterpriseService;
    @Autowired
    private VehicleMapper vehicleMapper;
    @Autowired
    private StringRedisTemplate redisTemplate;

    @Scheduled(cron = "0/10 * * * * ?")
    public void initialize(){
        Result<List<Enterprise>> enterprised = remoteEnterpriseService.enterpriseAllList();
        List<Enterprise> data = enterprised.getData();

        for (Enterprise datum : data) {
            String many="ent_"+datum.getContactPhone().substring(datum.getContactPhone().length()-4);
            DynamicDataSourceHolder.setDynamicDataSourceKey(many);
            List<Vehicle> vehicles = vehicleMapper.selectList(null);
            for (Vehicle vehicle : vehicles) {
                String key = vehicle.getVin()+"123";
                log.info("存入reids里,key:{},many:{}",key,many);
                redisTemplate.opsForValue().set(key,many);
            }
        }
        DynamicDataSourceHolder.removeDynamicDataSourceKey();
    }
}
