package com.muyu.authentication.service.impl;

import java.util.List;

import com.muyu.authentication.mapper.DefectInfoMapper;
import com.muyu.authentication.service.DefectInfoService;
import com.muyu.common.core.utils.ObjUtils;
import com.muyu.many.domain.DefectInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 故障码Service业务层处理
 *
 * @author wan
 * @date 2024-06-20
 */
@Slf4j
@Service
public class DefectInfoServiceImpl extends ServiceImpl<DefectInfoMapper, DefectInfo>  implements DefectInfoService {

    /**
     * 查询故障码列表
     *
     * @param defectInfo 故障码
     * @return 故障码
     */
    @Override
    public List<DefectInfo> list(DefectInfo defectInfo) {
        LambdaQueryWrapper<DefectInfo> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(defectInfo.getDefectCode())){
            queryWrapper.eq(DefectInfo::getDefectCode, defectInfo.getDefectCode());
        }

        if (ObjUtils.notNull(defectInfo.getAbortSituation())){
            queryWrapper.eq(DefectInfo::getAbortSituation, defectInfo.getAbortSituation());
        }

        if (ObjUtils.notNull(defectInfo.getDefectBit())){
            queryWrapper.eq(DefectInfo::getDefectBit, defectInfo.getDefectBit());
        }

        if (ObjUtils.notNull(defectInfo.getDefectValue())){
            queryWrapper.eq(DefectInfo::getDefectValue, defectInfo.getDefectValue());
        }





        return list(queryWrapper);
    }
}
