package com.muyu.authentication.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.authentication.mapper.GroupMapper;
import com.muyu.authentication.service.GroupService;
import com.muyu.common.core.utils.ObjUtils;
import com.muyu.many.domain.Group;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 围栏组Service业务层处理
 *
 * @author wan
 * @date 2024-06-17
 */
@Slf4j
@Service
public class GroupServiceImpl extends ServiceImpl<GroupMapper, Group> implements GroupService {

    /**
     * 查询围栏组列表
     *
     * @param group 围栏组
     * @return 围栏组
     */
    @Override
    public List<Group> list(Group group) {
        LambdaQueryWrapper<Group> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(group.getGroupName())){
            queryWrapper.like(Group::getGroupName, group.getGroupName());
        }
        return list(queryWrapper);
    }
}
