package com.muyu.authentication.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.authentication.mapper.VehicleMapper;
import com.muyu.authentication.service.VehicleService;
import com.muyu.common.core.utils.ObjUtils;
import com.muyu.many.domain.Vehicle;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 车辆Service业务层处理
 *
 * @author wan
 * @date 2024-06-17
 */
@Slf4j
@Service
public class VehicleServiceImpl extends ServiceImpl<VehicleMapper, Vehicle> implements VehicleService {

    /**
     * 查询车辆列表
     *
     * @param vehicle 车辆
     * @return 车辆
     */
    @Override
    public List<Vehicle> list(Vehicle vehicle) {
        LambdaQueryWrapper<Vehicle> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(vehicle.getVin())){
            queryWrapper.eq(Vehicle::getVin, vehicle.getVin());
        }

        if (ObjUtils.notNull(vehicle.getBrand())){
            queryWrapper.eq(Vehicle::getBrand, vehicle.getBrand());
        }

        if (ObjUtils.notNull(vehicle.getModel())){
            queryWrapper.eq(Vehicle::getModel, vehicle.getModel());
        }

        if (ObjUtils.notNull(vehicle.getProductionDate())){
            queryWrapper.eq(Vehicle::getProductionDate, vehicle.getProductionDate());
        }

        if (ObjUtils.notNull(vehicle.getBodyType())){
            queryWrapper.eq(Vehicle::getBodyType, vehicle.getBodyType());
        }

        if (ObjUtils.notNull(vehicle.getColor())){
            queryWrapper.eq(Vehicle::getColor, vehicle.getColor());
        }

        if (ObjUtils.notNull(vehicle.getEngineCapacity())){
            queryWrapper.eq(Vehicle::getEngineCapacity, vehicle.getEngineCapacity());
        }

        if (ObjUtils.notNull(vehicle.getFuelType())){
            queryWrapper.eq(Vehicle::getFuelType, vehicle.getFuelType());
        }

        if (ObjUtils.notNull(vehicle.getTransmission())){
            queryWrapper.eq(Vehicle::getTransmission, vehicle.getTransmission());
        }

        if (ObjUtils.notNull(vehicle.getDriveType())){
            queryWrapper.eq(Vehicle::getDriveType, vehicle.getDriveType());
        }

        if (ObjUtils.notNull(vehicle.getMileage())){
            queryWrapper.eq(Vehicle::getMileage, vehicle.getMileage());
        }

        if (ObjUtils.notNull(vehicle.getRegistrationDate())){
            queryWrapper.eq(Vehicle::getRegistrationDate, vehicle.getRegistrationDate());
        }

        if (ObjUtils.notNull(vehicle.getLicenseNumber())){
            queryWrapper.eq(Vehicle::getLicenseNumber, vehicle.getLicenseNumber());
        }

        if (ObjUtils.notNull(vehicle.getVehicleType())){
            queryWrapper.eq(Vehicle::getVehicleType, vehicle.getVehicleType());
        }

        if (ObjUtils.notNull(vehicle.getFenceId())){
            queryWrapper.eq(Vehicle::getFenceId, vehicle.getFenceId());
        }





        return list(queryWrapper);
    }
}
